<!DOCTYPE html>
<html lang="en">
    <head>
        <meta charset="UTF-8" />
        <title>Notes</title>
        <style>
            .header{
                color: #502020;
                background-color: #dcd8d0;
                text-align:center;
                margin-bottom: 10px;
            }
            .caption{
                text-align: center;
                background-color:darksalmon;
                background-position: center;
                margin:2px;
                margin-bottom: 20px;
                color: #16132b;
                font-size:22px;
                font-variant: small-caps;
            }
            .content-table{
                border-collapse:separate;
                font-size: 0.9em;
                border-color: rgb(69, 12, 12);
                min-width: 400px;
            }
            .content-table thead{
                background-color:#502020;
                text-align: center;
                font-size: 18px;
                font-family: 'Franklin Gothic Medium', 'Arial Narrow', Arial, sans-serif;
                color:azure;
                min-width: 400px;
            }
            .body{
                display: flex;
                flex-direction:column;
                overflow: hidden;
                background-image: url(https://images.pexels.com/photos/1591447/pexels-photo-1591447.jpeg?auto=compress&cs=tinysrgb&dpr=1&w=500); 
                background-repeat:no-repeat;
                height:100%;
                background-position:center;
                background-size:cover;
                
            }
            .content-table th, .content-table td{
                padding: 12px 15px;
                text-align: center;
            }
            .content-table tbody tr{
                padding: 12px 15px;
                font-size: 15px;
                background-color:bisque;
                font-family:'Gill Sans', 'Gill Sans MT', Calibri, 'Trebuchet MS', sans-serif;
                border-bottom: 1px solid brown ;
                text-align: center;
                min-width: 400px;
            }
            .content-table tbody tr:last-of-type{
                border-bottom: 4px solid darkred;
            }
            .header3{
                text-align:center;
                background-color: aliceblue;
                margin-top: auto;
            }
            .path{
                padding: 6px;
                margin:2px;
                background-color:rgb(245, 180, 173);
                color: crimson;
                text-align: center;
                font-family: 'Courier New', Courier, monospace;
                height:auto;
                width: auto;
                border: 2px solid rgb(118, 50, 43);
            }
        </style>
    </head>
    <body class="body">
        <div class="header">
            <h1>Welcome to Post to Post by {{name}}! &#128126;&#128131; </h1>
        </div>
        <div class="caption">
            <p>
                message for you | message for you | 
                message for you | message for you | 
                message for you | message for you |
                message for you | message for you |
                message for you 
            </p>
        </div>
    </body>
    <body>
        <table align="center">
            <tr>
                <th>
                    <div class="path">
                    <a href="http://127.0.0.1:8000/lab-4/add-note">Write Message</a>
                    </div>
                </th>
                <th>
                    <div class="path">
                    <a href="http://127.0.0.1:8000/lab-4/note-list">Card for U</a>
                </div>
                </th>
                <th>
                     <div class="path">
                    <a href="http://127.0.0.1:8000/lab-4/">Messages List</a>
                </div>
                </th>
            </tr>
        </table>
    </body>
    <hr>
    <body>
        <table class="content-table" border="2" bordercolor="darkred" align="left">
            <div class="content-table thead">
                <thead>
                    <tr>
                        <th>Sender</th>
                        <th>Receiver</th>
                        <th>Title</th>
                        <th>Message</th>
                    </tr>
                </thead>
            </div>
            <div class="content-table tbody">
                <tbody>
                    {% if Notes %}
                    {% for pesan in Notes %}
                    <tr>
                        <td>{{pesan.sender}}</td>
                        <td>{{pesan.receiver}}</td>
                        <td>{{pesan.title}}</td>
                        <td>{{pesan.message}}</td>
                    </tr> 
                    {% endfor %}
                    {% endif %} 
                </tbody>
            </div>      
        </table>
        <br>
        <br>
        <h3 class="header3">Bubyee~ &#128075; </h3>
    </body>    
</html>